Prompt Table ASSUNTOS;
--
-- ASSUNTOS  (Table) 
--
CREATE TABLE ASSUNTOS ( COD_ASSUNTO NUMBER(10), DISPOSITIVO_LEGAL VARCHAR2(250 CHAR), ARTIGO VARCHAR2(250 CHAR), GLOSSARIO CLOB, SIGILOSO CHAR(1 CHAR), ASSUNTO_SECUNDARIO CHAR(1 CHAR), CRIME_ANTECEDENTE CHAR(1 CHAR), JUST_ES_1GRAU CHAR(1 CHAR), JUST_ES_2GRAU CHAR(1 CHAR), JUST_ES_JUIZADO_ES CHAR(1 CHAR), JUST_ES_TURMAS CHAR(1 CHAR), JUST_ES_1GRAU_MIL CHAR(1 CHAR), JUST_ES_2GRAU_MIL CHAR(1 CHAR), JUST_ES_JUIZADO_ES_FP CHAR(1 CHAR), JUST_TU_ES_UN CHAR(1 CHAR), JUST_FED_1GRAU CHAR(1 CHAR), JUST_FED_2GRAU CHAR(1 CHAR), JUST_FED_JUIZADO_ES CHAR(1 CHAR), JUST_FED_TURMAS CHAR(1 CHAR), JUST_FED_NACIONAL CHAR(1 CHAR), JUST_FED_REGIONAL CHAR(1 CHAR), JUST_TRAB_1GRAU CHAR(1 CHAR), JUST_TRAB_2GRAU CHAR(1 CHAR), JUST_TRAB_TST CHAR(1 CHAR), JUST_TRAB_CSJT CHAR(1 CHAR), STF CHAR(1 CHAR), STJ CHAR(1 CHAR), CJF CHAR(1 CHAR), CNJ CHAR(1 CHAR), JUST_MIL_UNIAO_1GRAU CHAR(1 CHAR), JUST_MIL_UNIAO_STM CHAR(1 CHAR), JUST_MIL_EST_1GRAU CHAR(1 CHAR), JUST_MIL_EST_TJM CHAR(1 CHAR), JUST_ELEI_1GRAU CHAR(1 CHAR), JUST_ELEI_2GRAU CHAR(1 CHAR), JUST_ELEI_TSE CHAR(1 CHAR), TIPO_ITEM CHAR(1 CHAR), USU_INCLUSAO VARCHAR2(30 CHAR), DAT_INCLUSAO DATE, DSC_IP_USU_INCLUSAO VARCHAR2(15 CHAR), USU_ALTERACAO VARCHAR2(30 CHAR) ) LOB (GLOSSARIO) STORE AS ( TABLESPACE SGT_CONSULTA ENABLE STORAGE IN ROW CHUNK 8192 RETENTION NOCACHE LOGGING INDEX ( TABLESPACE SGT_CONSULTA STORAGE ( INITIAL 64K NEXT 1M MINEXTENTS 1 MAXEXTENTS UNLIMITED PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT )) STORAGE ( INITIAL 64K NEXT 1M MINEXTENTS 1 MAXEXTENTS UNLIMITED PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT )) TABLESPACE SGT_CONSULTA PCTUSED 40 PCTFREE 10 INITRANS 1 MAXTRANS 255 STORAGE ( INITIAL 64K NEXT 1M MINEXTENTS 1 MAXEXTENTS UNLIMITED PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT ) LOGGING NOCOMPRESS NOCACHE NOPARALLEL MONITORING
/


Prompt Table CLASSES;
--
-- CLASSES  (Table) 
--
CREATE TABLE CLASSES ( COD_CLASSE NUMBER(10), NATUREZA VARCHAR2(100 CHAR), DISPOSITIVO_LEGAL VARCHAR2(250 CHAR), ARTIGO VARCHAR2(250 CHAR), SIGLA VARCHAR2(20 CHAR), SIGLA_ANTIGA VARCHAR2(20 CHAR), POLO_ATIVO VARCHAR2(30 CHAR), POLO_PASSIVO VARCHAR2(30 CHAR), GLOSSARIO CLOB, NUMERACAO_PROPRIA CHAR(1 CHAR), JUST_ES_1GRAU CHAR(1 CHAR), JUST_ES_2GRAU CHAR(1 CHAR), JUST_ES_JUIZADO_ES CHAR(1 CHAR), JUST_ES_TURMAS CHAR(1 CHAR), JUST_ES_1GRAU_MIL CHAR(1 CHAR), JUST_ES_2GRAU_MIL CHAR(1 CHAR), JUST_ES_JUIZADO_ES_FP CHAR(1 CHAR), JUST_TU_ES_UN CHAR(1 CHAR), JUST_FED_1GRAU CHAR(1 CHAR), JUST_FED_2GRAU CHAR(1 CHAR), JUST_FED_JUIZADO_ES CHAR(1 CHAR), JUST_FED_TURMAS CHAR(1 CHAR), JUST_FED_NACIONAL CHAR(1 CHAR), JUST_FED_REGIONAL CHAR(1 CHAR), JUST_TRAB_1GRAU CHAR(1 CHAR), JUST_TRAB_2GRAU CHAR(1 CHAR), JUST_TRAB_TST CHAR(1 CHAR), JUST_TRAB_CSJT CHAR(1 CHAR), STF CHAR(1 CHAR), STJ CHAR(1 CHAR), CJF CHAR(1 CHAR), CNJ CHAR(1 CHAR), JUST_MIL_UNIAO_1GRAU CHAR(1 CHAR), JUST_MIL_UNIAO_STM CHAR(1 CHAR), JUST_MIL_EST_1GRAU CHAR(1 CHAR), JUST_MIL_EST_TJM CHAR(1 CHAR), JUST_ELEI_1GRAU CHAR(1 CHAR), JUST_ELEI_2GRAU CHAR(1 CHAR), JUST_ELEI_TSE CHAR(1 CHAR), TIPO_ITEM CHAR(1 CHAR), USU_INCLUSAO VARCHAR2(30 CHAR), DAT_INCLUSAO DATE, DSC_IP_USU_INCLUSAO VARCHAR2(15 CHAR), USU_ALTERACAO VARCHAR2(30 CHAR) ) LOB (GLOSSARIO) STORE AS ( TABLESPACE SGT_CONSULTA ENABLE STORAGE IN ROW CHUNK 8192 RETENTION NOCACHE LOGGING INDEX ( TABLESPACE SGT_CONSULTA STORAGE ( INITIAL 64K NEXT 1M MINEXTENTS 1 MAXEXTENTS UNLIMITED PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT )) STORAGE ( INITIAL 64K NEXT 1M MINEXTENTS 1 MAXEXTENTS UNLIMITED PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT )) TABLESPACE SGT_CONSULTA PCTUSED 40 PCTFREE 10 INITRANS 1 MAXTRANS 255 STORAGE ( INITIAL 64K NEXT 1M MINEXTENTS 1 MAXEXTENTS UNLIMITED PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT ) LOGGING NOCOMPRESS NOCACHE NOPARALLEL MONITORING
/


Prompt Table ITENS;
--
-- ITENS  (Table) 
--
CREATE TABLE ITENS ( COD_ITEM NUMBER(10), COD_ITEM_PAI NUMBER(10), TIPO_ITEM CHAR(1 CHAR), NOME VARCHAR2(255 CHAR), SITUACAO CHAR(1 CHAR) DEFAULT 'A', DAT_INCLUSAO DATE, USU_INCLUSAO VARCHAR2(30 CHAR), DAT_ALTERACAO DATE, USU_ALTERACAO VARCHAR2(30 CHAR) ) TABLESPACE SGT_CONSULTA PCTUSED 40 PCTFREE 10 INITRANS 1 MAXTRANS 255 STORAGE ( INITIAL 256K NEXT 1M MINEXTENTS 1 MAXEXTENTS UNLIMITED PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT ) LOGGING NOCOMPRESS NOCACHE NOPARALLEL MONITORING
/


Prompt Table MOVIMENTOS;
--
-- MOVIMENTOS  (Table) 
--
CREATE TABLE MOVIMENTOS ( COD_MOVIMENTO NUMBER(10), MOVIMENTO VARCHAR2(250 CHAR), VISIBILIDADE_EXTERNA CHAR(1 CHAR), MONOCRATICO CHAR(1 CHAR), COLEGIADO CHAR(1 CHAR), PRESIDENTE_VICE CHAR(1 CHAR), FLG_PAPEL CHAR(1 CHAR), FLG_ELETRONICO CHAR(1 CHAR) DEFAULT 'N', DISPOSITIVO_LEGAL VARCHAR2(250 CHAR), ARTIGO VARCHAR2(250 CHAR), GLOSSARIO CLOB, JUST_ES_1GRAU CHAR(1 CHAR) DEFAULT 'N', JUST_ES_2GRAU CHAR(1 CHAR) DEFAULT 'N', JUST_ES_JUIZADO_ES CHAR(1 CHAR) DEFAULT 'N', JUST_ES_TURMAS CHAR(1 CHAR) DEFAULT 'N', JUST_ES_1GRAU_MIL CHAR(1 CHAR) DEFAULT 'N', JUST_ES_2GRAU_MIL CHAR(1 CHAR) DEFAULT 'N', JUST_ES_JUIZADO_ES_FP CHAR(1 CHAR) DEFAULT 'N', JUST_TU_ES_UN CHAR(1 CHAR) DEFAULT 'N', JUST_FED_1GRAU CHAR(1 CHAR) DEFAULT 'N', JUST_FED_2GRAU CHAR(1 CHAR) DEFAULT 'N', JUST_FED_JUIZADO_ES CHAR(1 CHAR) DEFAULT 'N', JUST_FED_TURMAS CHAR(1 CHAR) DEFAULT 'N', JUST_FED_NACIONAL CHAR(1 CHAR) DEFAULT 'N', JUST_FED_REGIONAL CHAR(1 CHAR) DEFAULT 'N', JUST_TRAB_1GRAU CHAR(1 CHAR) DEFAULT 'N', JUST_TRAB_2GRAU CHAR(1 CHAR) DEFAULT 'N', JUST_TRAB_TST CHAR(1 CHAR) DEFAULT 'N', JUST_TRAB_CSJT CHAR(1 CHAR), STF CHAR(1 CHAR) DEFAULT 'N', STJ CHAR(1 CHAR) DEFAULT 'N', CJF CHAR(1 CHAR) DEFAULT 'N', CNJ CHAR(1 CHAR) DEFAULT 'N', JUST_MIL_UNIAO_1GRAU CHAR(1 CHAR) DEFAULT 'N', JUST_MIL_UNIAO_STM CHAR(1 CHAR) DEFAULT 'N', JUST_MIL_EST_1GRAU CHAR(1 CHAR) DEFAULT 'N', JUST_MIL_EST_TJM CHAR(1 CHAR) DEFAULT 'N', JUST_ELEI_1GRAU CHAR(1 CHAR) DEFAULT 'N', JUST_ELEI_2GRAU CHAR(1 CHAR) DEFAULT 'N', JUST_ELEI_TSE CHAR(1 CHAR) DEFAULT 'N', TIPO_ITEM CHAR(1 CHAR) DEFAULT 'M', USU_INCLUSAO VARCHAR2(30 CHAR), DAT_INCLUSAO DATE, DSC_IP_USU_INCLUSAO VARCHAR2(15 CHAR), USU_ALTERACAO VARCHAR2(30 CHAR) ) LOB (GLOSSARIO) STORE AS ( TABLESPACE SGT_CONSULTA ENABLE STORAGE IN ROW CHUNK 8192 RETENTION NOCACHE LOGGING INDEX ( TABLESPACE SGT_CONSULTA STORAGE ( INITIAL 64K NEXT 1M MINEXTENTS 1 MAXEXTENTS UNLIMITED PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT )) STORAGE ( INITIAL 64K NEXT 1M MINEXTENTS 1 MAXEXTENTS UNLIMITED PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT )) TABLESPACE SGT_CONSULTA PCTUSED 40 PCTFREE 10 INITRANS 1 MAXTRANS 255 STORAGE ( INITIAL 192K NEXT 1M MINEXTENTS 1 MAXEXTENTS UNLIMITED PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT ) LOGGING NOCOMPRESS NOCACHE NOPARALLEL MONITORING
/


Prompt Table PROCEDIMENTO_COMPLEMENTOS;
--
-- PROCEDIMENTO_COMPLEMENTOS  (Table) 
--
CREATE TABLE PROCEDIMENTO_COMPLEMENTOS ( ID NUMBER(10), COD_MOVIMENTO NUMBER(10), SEQ_TIPO_COMPLEMENTO NUMBER(10), VALOR VARCHAR2(750 CHAR), DAT_INCLUSAO DATE, USU_INCLUSAO VARCHAR2(90 CHAR) ) TABLESPACE SGT_CONSULTA PCTUSED 40 PCTFREE 10 INITRANS 1 MAXTRANS 255 STORAGE ( INITIAL 64K NEXT 1M MINEXTENTS 1 MAXEXTENTS UNLIMITED PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT ) LOGGING NOCOMPRESS NOCACHE NOPARALLEL MONITORING
/


Prompt Table TEMP_ITEM;
--
-- TEMP_ITEM  (Table) 
--
CREATE TABLE TEMP_ITEM ( SEQ_TEMP_ITEM NUMBER(10) NOT NULL, SEQ_ITEM NUMBER(10) NOT NULL, SEQ_TEMP NUMBER(10) NOT NULL, TIPO_ITEM VARCHAR2(1 CHAR) NOT NULL, TEMP_OBSERVACAO CLOB, SEQ_TIPO_RAMO_JUSTICA NUMBER(10), USU_INCLUSAO VARCHAR2(30 CHAR), DAT_INCLUSAO DATE ) LOB (TEMP_OBSERVACAO) STORE AS ( TABLESPACE SGT_CONSULTA ENABLE STORAGE IN ROW CHUNK 8192 RETENTION NOCACHE LOGGING INDEX ( TABLESPACE SGT_CONSULTA STORAGE ( INITIAL 64K NEXT 1M MINEXTENTS 1 MAXEXTENTS UNLIMITED PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT )) STORAGE ( INITIAL 64K NEXT 1M MINEXTENTS 1 MAXEXTENTS UNLIMITED PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT )) TABLESPACE SGT_CONSULTA PCTUSED 40 PCTFREE 10 INITRANS 1 MAXTRANS 255 STORAGE ( INITIAL 64K NEXT 1M MINEXTENTS 1 MAXEXTENTS UNLIMITED PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT ) LOGGING NOCOMPRESS NOCACHE NOPARALLEL MONITORING
/


Prompt Table TEMPORARIEDADE;
--
-- TEMPORARIEDADE  (Table) 
--
CREATE TABLE TEMPORARIEDADE ( SEQ_TEMP NUMBER(10) NOT NULL, TEMPORARIEDADE VARCHAR2(20 CHAR) NOT NULL, TXT_TEMP VARCHAR2(20 CHAR) NOT NULL, TIPO_JUSTICA CHAR(1 CHAR) NOT NULL, TXT_TIPO_JUSTICA VARCHAR2(50 CHAR) NOT NULL, ORDEM NUMBER(10) NOT NULL, STATUS CHAR(1 CHAR) NOT NULL ) TABLESPACE SGT_CONSULTA PCTUSED 40 PCTFREE 10 INITRANS 1 MAXTRANS 255 STORAGE ( INITIAL 64K NEXT 1M MINEXTENTS 1 MAXEXTENTS UNLIMITED PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT ) LOGGING NOCOMPRESS NOCACHE NOPARALLEL MONITORING
/


Prompt Table TIPO_COMPLEMENTO;
--
-- TIPO_COMPLEMENTO  (Table) 
--
CREATE TABLE TIPO_COMPLEMENTO ( SEQ_TIPO_COMPLEMENTO NUMBER(10), DESC_TIPO_COMPLEMENTO VARCHAR2(250 CHAR), DSC_OBSERVACAO CLOB ) LOB (DSC_OBSERVACAO) STORE AS ( TABLESPACE SGT_CONSULTA ENABLE STORAGE IN ROW CHUNK 8192 RETENTION NOCACHE LOGGING INDEX ( TABLESPACE SGT_CONSULTA STORAGE ( INITIAL 64K NEXT 1M MINEXTENTS 1 MAXEXTENTS UNLIMITED PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT )) STORAGE ( INITIAL 64K NEXT 1M MINEXTENTS 1 MAXEXTENTS UNLIMITED PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT )) TABLESPACE SGT_CONSULTA PCTUSED 40 PCTFREE 10 INITRANS 1 MAXTRANS 255 STORAGE ( INITIAL 64K NEXT 1M MINEXTENTS 1 MAXEXTENTS UNLIMITED PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT ) LOGGING NOCOMPRESS NOCACHE NOPARALLEL MONITORING
/


Prompt Table TIPO_RAMO_JUSTICA;
--
-- TIPO_RAMO_JUSTICA  (Table) 
--
CREATE TABLE TIPO_RAMO_JUSTICA ( SEQ_TIPO_RAMO_JUSTICA NUMBER(5) NOT NULL, DSC_RAMO_JUSTICA VARCHAR2(50 BYTE) DEFAULT NULL ) TABLESPACE SGT_CONSULTA PCTUSED 40 PCTFREE 10 INITRANS 1 MAXTRANS 255 STORAGE ( INITIAL 64K NEXT 1M MINEXTENTS 1 MAXEXTENTS UNLIMITED PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT ) LOGGING NOCOMPRESS NOCACHE NOPARALLEL MONITORING
/

COMMENT ON COLUMN TIPO_RAMO_JUSTICA.SEQ_TIPO_RAMO_JUSTICA IS 'Armazena a chave primria da tabela sgt.tipo_ramo_justica, incremetada automaticamente pelo banco.'
/

COMMENT ON COLUMN TIPO_RAMO_JUSTICA.DSC_RAMO_JUSTICA IS 'Armazena a descrio do ramo da justica, ex. justica eleitoral, justica militar etc...'
/



Prompt Index COD_ITEM;
--
-- COD_ITEM  (Index) 
--
CREATE INDEX COD_ITEM ON ITENS (COD_ITEM) LOGGING TABLESPACE SGT_CONSULTA PCTFREE 10 INITRANS 2 MAXTRANS 255 STORAGE ( INITIAL 128K NEXT 1M MINEXTENTS 1 MAXEXTENTS UNLIMITED PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT ) NOPARALLEL
/


Prompt Index COD_ITEM_PAI;
--
-- COD_ITEM_PAI  (Index) 
--
CREATE INDEX COD_ITEM_PAI ON ITENS (COD_ITEM_PAI, TIPO_ITEM) LOGGING TABLESPACE SGT_CONSULTA PCTFREE 10 INITRANS 2 MAXTRANS 255 STORAGE ( INITIAL 128K NEXT 1M MINEXTENTS 1 MAXEXTENTS UNLIMITED PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT ) NOPARALLEL
/


Prompt Index COD_MOVIMENTO_1;
--
-- COD_MOVIMENTO_1  (Index) 
--
CREATE INDEX COD_MOVIMENTO_1 ON MOVIMENTOS (COD_MOVIMENTO, TIPO_ITEM) LOGGING TABLESPACE SGT_CONSULTA PCTFREE 10 INITRANS 2 MAXTRANS 255 STORAGE ( INITIAL 64K NEXT 1M MINEXTENTS 1 MAXEXTENTS UNLIMITED PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT ) NOPARALLEL
/


Prompt Index PK_TIPO_RAMO_JUSTICA;
--
-- PK_TIPO_RAMO_JUSTICA  (Index) 
--
CREATE UNIQUE INDEX PK_TIPO_RAMO_JUSTICA ON TIPO_RAMO_JUSTICA (SEQ_TIPO_RAMO_JUSTICA) LOGGING TABLESPACE SGT_CONSULTA PCTFREE 10 INITRANS 2 MAXTRANS 255 STORAGE ( INITIAL 64K NEXT 1M MINEXTENTS 1 MAXEXTENTS UNLIMITED PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT ) NOPARALLEL
/


Prompt Index PRIMARY_2;
--
-- PRIMARY_2  (Index) 
--
CREATE UNIQUE INDEX PRIMARY_2 ON PROCEDIMENTO_COMPLEMENTOS (ID) LOGGING TABLESPACE SGT_CONSULTA PCTFREE 10 INITRANS 2 MAXTRANS 255 STORAGE ( INITIAL 64K NEXT 1M MINEXTENTS 1 MAXEXTENTS UNLIMITED PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT ) NOPARALLEL
/


Prompt Index PRIMARY_5;
--
-- PRIMARY_5  (Index) 
--
CREATE UNIQUE INDEX PRIMARY_5 ON TIPO_COMPLEMENTO (SEQ_TIPO_COMPLEMENTO) LOGGING TABLESPACE SGT_CONSULTA PCTFREE 10 INITRANS 2 MAXTRANS 255 STORAGE ( INITIAL 64K NEXT 1M MINEXTENTS 1 MAXEXTENTS UNLIMITED PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT ) NOPARALLEL
/


Prompt Index SEQ_ITEM;
--
-- SEQ_ITEM  (Index) 
--
CREATE INDEX SEQ_ITEM ON PROCEDIMENTO_COMPLEMENTOS (COD_MOVIMENTO) LOGGING TABLESPACE SGT_CONSULTA PCTFREE 10 INITRANS 2 MAXTRANS 255 STORAGE ( INITIAL 64K NEXT 1M MINEXTENTS 1 MAXEXTENTS UNLIMITED PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT ) NOPARALLEL
/


Prompt Index SEQ_TIPO_COMPLEMENTO;
--
-- SEQ_TIPO_COMPLEMENTO  (Index) 
--
CREATE INDEX SEQ_TIPO_COMPLEMENTO ON PROCEDIMENTO_COMPLEMENTOS (SEQ_TIPO_COMPLEMENTO) LOGGING TABLESPACE SGT_CONSULTA PCTFREE 10 INITRANS 2 MAXTRANS 255 STORAGE ( INITIAL 64K NEXT 1M MINEXTENTS 1 MAXEXTENTS UNLIMITED PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT ) NOPARALLEL
/


Prompt Trigger PROCEDIMENTO_COMPLEMENTOS_ID_T;
--
-- PROCEDIMENTO_COMPLEMENTOS_ID_T  (Trigger) 
--
CREATE OR REPLACE TRIGGER "PROCEDIMENTO_COMPLEMENTOS_ID_T" BEFORE INSERT OR UPDATE ON procedimento_complementos
FOR EACH ROW
DECLARE 
v_newVal NUMBER(12) := 0;
v_incval NUMBER(12) := 0;
BEGIN
  IF INSERTING AND :new.id IS NULL THEN
    SELECT  procedimento_complementos_id_S.NEXTVAL INTO v_newVal FROM DUAL;
    -- If this is the first time this table have been inserted into (sequence == 1)
    IF v_newVal = 1 THEN 
      --get the max indentity value from the table
      SELECT NVL(max(id),0) INTO v_newVal FROM procedimento_complementos;
      v_newVal := v_newVal + 1;
      --set the sequence to that value
      LOOP
           EXIT WHEN v_incval>=v_newVal;
           SELECT procedimento_complementos_id_S.nextval INTO v_incval FROM dual;
      END LOOP;
    END IF;
    --used to emulate LAST_INSERT_ID()
    --mysql_utilities.identity := v_newVal; 
   -- assign the value from the sequence to emulate the identity column
   :new.id := v_newVal;
  END IF;
END;
/


Prompt Trigger TIPO_COMPLEMENTO_SEQ_TIPO_CO_1;
--
-- TIPO_COMPLEMENTO_SEQ_TIPO_CO_1  (Trigger) 
--
CREATE OR REPLACE TRIGGER "TIPO_COMPLEMENTO_SEQ_TIPO_CO_1" BEFORE INSERT OR UPDATE ON tipo_complemento
FOR EACH ROW
DECLARE 
v_newVal NUMBER(12) := 0;
v_incval NUMBER(12) := 0;
BEGIN
  IF INSERTING AND :new.seq_tipo_complemento IS NULL THEN
    SELECT  tipo_complemento_seq_tipo_comp.NEXTVAL INTO v_newVal FROM DUAL;
    -- If this is the first time this table have been inserted into (sequence == 1)
    IF v_newVal = 1 THEN 
      --get the max indentity value from the table
      SELECT NVL(max(seq_tipo_complemento),0) INTO v_newVal FROM tipo_complemento;
      v_newVal := v_newVal + 1;
      --set the sequence to that value
      LOOP
           EXIT WHEN v_incval>=v_newVal;
           SELECT tipo_complemento_seq_tipo_comp.nextval INTO v_incval FROM dual;
      END LOOP;
    END IF;
    --used to emulate LAST_INSERT_ID()
    --mysql_utilities.identity := v_newVal; 
   -- assign the value from the sequence to emulate the identity column
   :new.seq_tipo_complemento := v_newVal;
  END IF;
END;
/


Prompt Table COMPLEMENTO;
--
-- COMPLEMENTO  (Table) 
--
CREATE TABLE COMPLEMENTO ( SEQ_COMPLEMENTO NUMBER(10), SEQ_TIPO_COMPLEMENTO NUMBER(10), DSC_COMPLEMENTO VARCHAR2(255 CHAR), DSC_OBSERVACAO CLOB ) LOB (DSC_OBSERVACAO) STORE AS ( TABLESPACE SGT_CONSULTA ENABLE STORAGE IN ROW CHUNK 8192 RETENTION NOCACHE LOGGING INDEX ( TABLESPACE SGT_CONSULTA STORAGE ( INITIAL 64K NEXT 1M MINEXTENTS 1 MAXEXTENTS UNLIMITED PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT )) STORAGE ( INITIAL 64K NEXT 1M MINEXTENTS 1 MAXEXTENTS UNLIMITED PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT )) TABLESPACE SGT_CONSULTA PCTUSED 40 PCTFREE 10 INITRANS 1 MAXTRANS 255 STORAGE ( INITIAL 64K NEXT 1M MINEXTENTS 1 MAXEXTENTS UNLIMITED PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT ) LOGGING NOCOMPRESS NOCACHE NOPARALLEL MONITORING
/


Prompt Table COMPLEMENTO_MOVIMENTO;
--
-- COMPLEMENTO_MOVIMENTO  (Table) 
--
CREATE TABLE COMPLEMENTO_MOVIMENTO ( SEQ_COMPL_MOV NUMBER(10), SEQ_COMPLEMENTO NUMBER(10), COD_MOVIMENTO NUMBER(10), DATA_INCLUSAO DATE, USU_INCLUSAO VARCHAR2(30 CHAR) ) TABLESPACE SGT_CONSULTA PCTUSED 40 PCTFREE 10 INITRANS 1 MAXTRANS 255 STORAGE ( INITIAL 64K NEXT 1M MINEXTENTS 1 MAXEXTENTS UNLIMITED PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT ) LOGGING NOCOMPRESS NOCACHE NOPARALLEL MONITORING
/


Prompt Table COMPLEMENTO_TABELADO;
--
-- COMPLEMENTO_TABELADO  (Table) 
--
CREATE TABLE COMPLEMENTO_TABELADO ( SEQ_COMPL_TABELADO NUMBER(10), SEQ_COMPLEMENTO NUMBER(10), DSC_VALOR_TABELADO VARCHAR2(250 CHAR) ) TABLESPACE SGT_CONSULTA PCTUSED 40 PCTFREE 10 INITRANS 1 MAXTRANS 255 STORAGE ( INITIAL 64K NEXT 1M MINEXTENTS 1 MAXEXTENTS UNLIMITED PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT ) LOGGING NOCOMPRESS NOCACHE NOPARALLEL MONITORING
/


Prompt Index FK_COMPLEMENTO;
--
-- FK_COMPLEMENTO  (Index) 
--
CREATE INDEX FK_COMPLEMENTO ON COMPLEMENTO (SEQ_TIPO_COMPLEMENTO) LOGGING TABLESPACE SGT_CONSULTA PCTFREE 10 INITRANS 2 MAXTRANS 255 STORAGE ( INITIAL 64K NEXT 1M MINEXTENTS 1 MAXEXTENTS UNLIMITED PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT ) NOPARALLEL
/


Prompt Index FK_COMPLEMENTO_MOVIMENTO;
--
-- FK_COMPLEMENTO_MOVIMENTO  (Index) 
--
CREATE INDEX FK_COMPLEMENTO_MOVIMENTO ON COMPLEMENTO_MOVIMENTO (SEQ_COMPLEMENTO) LOGGING TABLESPACE SGT_CONSULTA PCTFREE 10 INITRANS 2 MAXTRANS 255 STORAGE ( INITIAL 64K NEXT 1M MINEXTENTS 1 MAXEXTENTS UNLIMITED PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT ) NOPARALLEL
/


Prompt Index FK_COMPLEMENTO_TABELADO;
--
-- FK_COMPLEMENTO_TABELADO  (Index) 
--
CREATE INDEX FK_COMPLEMENTO_TABELADO ON COMPLEMENTO_TABELADO (SEQ_COMPLEMENTO) LOGGING TABLESPACE SGT_CONSULTA PCTFREE 10 INITRANS 2 MAXTRANS 255 STORAGE ( INITIAL 64K NEXT 1M MINEXTENTS 1 MAXEXTENTS UNLIMITED PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT ) NOPARALLEL
/


Prompt Index FK2_COMPLEMENTO_MOVIMENTO;
--
-- FK2_COMPLEMENTO_MOVIMENTO  (Index) 
--
CREATE INDEX FK2_COMPLEMENTO_MOVIMENTO ON COMPLEMENTO_MOVIMENTO (COD_MOVIMENTO) LOGGING TABLESPACE SGT_CONSULTA PCTFREE 10 INITRANS 2 MAXTRANS 255 STORAGE ( INITIAL 64K NEXT 1M MINEXTENTS 1 MAXEXTENTS UNLIMITED PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT ) NOPARALLEL
/


Prompt Index PRIMARY_3;
--
-- PRIMARY_3  (Index) 
--
CREATE UNIQUE INDEX PRIMARY_3 ON COMPLEMENTO (SEQ_COMPLEMENTO) LOGGING TABLESPACE SGT_CONSULTA PCTFREE 10 INITRANS 2 MAXTRANS 255 STORAGE ( INITIAL 64K NEXT 1M MINEXTENTS 1 MAXEXTENTS UNLIMITED PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT ) NOPARALLEL
/


Prompt Index PRIMARY_6;
--
-- PRIMARY_6  (Index) 
--
CREATE UNIQUE INDEX PRIMARY_6 ON COMPLEMENTO_MOVIMENTO (SEQ_COMPL_MOV) LOGGING TABLESPACE SGT_CONSULTA PCTFREE 10 INITRANS 2 MAXTRANS 255 STORAGE ( INITIAL 64K NEXT 1M MINEXTENTS 1 MAXEXTENTS UNLIMITED PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT ) NOPARALLEL
/


Prompt Index PRIMARY_7;
--
-- PRIMARY_7  (Index) 
--
CREATE UNIQUE INDEX PRIMARY_7 ON COMPLEMENTO_TABELADO (SEQ_COMPL_TABELADO) LOGGING TABLESPACE SGT_CONSULTA PCTFREE 10 INITRANS 2 MAXTRANS 255 STORAGE ( INITIAL 64K NEXT 1M MINEXTENTS 1 MAXEXTENTS UNLIMITED PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT ) NOPARALLEL
/


Prompt Trigger COMPLEMENTO_SEQ_COMPLEMENTO_TR;
--
-- COMPLEMENTO_SEQ_COMPLEMENTO_TR  (Trigger) 
--
CREATE OR REPLACE TRIGGER "COMPLEMENTO_SEQ_COMPLEMENTO_TR" BEFORE INSERT OR UPDATE ON complemento
FOR EACH ROW
DECLARE 
v_newVal NUMBER(12) := 0;
v_incval NUMBER(12) := 0;
BEGIN
  IF INSERTING AND :new.seq_complemento IS NULL THEN
    SELECT  complemento_seq_complemento_SE.NEXTVAL INTO v_newVal FROM DUAL;
    -- If this is the first time this table have been inserted into (sequence == 1)
    IF v_newVal = 1 THEN 
      --get the max indentity value from the table
      SELECT NVL(max(seq_complemento),0) INTO v_newVal FROM complemento;
      v_newVal := v_newVal + 1;
      --set the sequence to that value
      LOOP
           EXIT WHEN v_incval>=v_newVal;
           SELECT complemento_seq_complemento_SE.nextval INTO v_incval FROM dual;
      END LOOP;
    END IF;
    --used to emulate LAST_INSERT_ID()
    --mysql_utilities.identity := v_newVal; 
   -- assign the value from the sequence to emulate the identity column
   :new.seq_complemento := v_newVal;
  END IF;
END;
/


Prompt Trigger COMPLEMENTO_MOVIMENTO_SEQ_CO_1;
--
-- COMPLEMENTO_MOVIMENTO_SEQ_CO_1  (Trigger) 
--
CREATE OR REPLACE TRIGGER "COMPLEMENTO_MOVIMENTO_SEQ_CO_1" BEFORE INSERT OR UPDATE ON complemento_movimento
FOR EACH ROW
DECLARE 
v_newVal NUMBER(12) := 0;
v_incval NUMBER(12) := 0;
BEGIN
  IF INSERTING AND :new.seq_compl_mov IS NULL THEN
    SELECT  complemento_movimento_seq_comp.NEXTVAL INTO v_newVal FROM DUAL;
    -- If this is the first time this table have been inserted into (sequence == 1)
    IF v_newVal = 1 THEN 
      --get the max indentity value from the table
      SELECT NVL(max(seq_compl_mov),0) INTO v_newVal FROM complemento_movimento;
      v_newVal := v_newVal + 1;
      --set the sequence to that value
      LOOP
           EXIT WHEN v_incval>=v_newVal;
           SELECT complemento_movimento_seq_comp.nextval INTO v_incval FROM dual;
      END LOOP;
    END IF;
    --used to emulate LAST_INSERT_ID()
    --mysql_utilities.identity := v_newVal; 
   -- assign the value from the sequence to emulate the identity column
   :new.seq_compl_mov := v_newVal;
  END IF;
END;
/


Prompt Trigger COMPLEMENTO_TABELADO_SEQ_COM_1;
--
-- COMPLEMENTO_TABELADO_SEQ_COM_1  (Trigger) 
--
CREATE OR REPLACE TRIGGER "COMPLEMENTO_TABELADO_SEQ_COM_1" BEFORE INSERT OR UPDATE ON complemento_tabelado
FOR EACH ROW
DECLARE 
v_newVal NUMBER(12) := 0;
v_incval NUMBER(12) := 0;
BEGIN
  IF INSERTING AND :new.seq_compl_tabelado IS NULL THEN
    SELECT  complemento_tabelado_seq_compl.NEXTVAL INTO v_newVal FROM DUAL;
    -- If this is the first time this table have been inserted into (sequence == 1)
    IF v_newVal = 1 THEN 
      --get the max indentity value from the table
      SELECT NVL(max(seq_compl_tabelado),0) INTO v_newVal FROM complemento_tabelado;
      v_newVal := v_newVal + 1;
      --set the sequence to that value
      LOOP
           EXIT WHEN v_incval>=v_newVal;
           SELECT complemento_tabelado_seq_compl.nextval INTO v_incval FROM dual;
      END LOOP;
    END IF;
    --used to emulate LAST_INSERT_ID()
    --mysql_utilities.identity := v_newVal; 
   -- assign the value from the sequence to emulate the identity column
   :new.seq_compl_tabelado := v_newVal;
  END IF;
END;
/


-- 
-- Non Foreign Key Constraints for Table ASSUNTOS 
-- 
Prompt Non-Foreign Key Constraints on Table ASSUNTOS;
ALTER TABLE ASSUNTOS ADD (  CHECK ("COD_ASSUNTO" IS NOT NULL) DISABLE,  CHECK ("TIPO_ITEM" IS NOT NULL) DISABLE)
/

-- 
-- Non Foreign Key Constraints for Table CLASSES 
-- 
Prompt Non-Foreign Key Constraints on Table CLASSES;
ALTER TABLE CLASSES ADD (  CHECK ("COD_CLASSE" IS NOT NULL) DISABLE,  CHECK ("SIGLA" IS NOT NULL) DISABLE,  CHECK ("POLO_ATIVO" IS NOT NULL) DISABLE,  CHECK ("POLO_PASSIVO" IS NOT NULL) DISABLE,  CHECK ("NUMERACAO_PROPRIA" IS NOT NULL) DISABLE,  CHECK ("TIPO_ITEM" IS NOT NULL) DISABLE)
/

-- 
-- Non Foreign Key Constraints for Table ITENS 
-- 
Prompt Non-Foreign Key Constraints on Table ITENS;
ALTER TABLE ITENS ADD (  CHECK ("COD_ITEM" IS NOT NULL) DISABLE,  CHECK ("TIPO_ITEM" IS NOT NULL) DISABLE,  CHECK ("NOME" IS NOT NULL) DISABLE,  CHECK ("SITUACAO" IS NOT NULL) DISABLE,  CHECK ("DAT_INCLUSAO" IS NOT NULL) DISABLE,  CHECK ("USU_INCLUSAO" IS NOT NULL) DISABLE,  CONSTRAINT PK_ITENS PRIMARY KEY (COD_ITEM, TIPO_ITEM) DISABLE)
/

-- 
-- Non Foreign Key Constraints for Table MOVIMENTOS 
-- 
Prompt Non-Foreign Key Constraints on Table MOVIMENTOS;
ALTER TABLE MOVIMENTOS ADD (  CHECK ("COD_MOVIMENTO" IS NOT NULL) DISABLE,  CHECK ("TIPO_ITEM" IS NOT NULL) DISABLE,  CONSTRAINT PRIMARY_4 PRIMARY KEY (COD_MOVIMENTO) DISABLE)
/

-- 
-- Non Foreign Key Constraints for Table PROCEDIMENTO_COMPLEMENTOS 
-- 
Prompt Non-Foreign Key Constraints on Table PROCEDIMENTO_COMPLEMENTOS;
ALTER TABLE PROCEDIMENTO_COMPLEMENTOS ADD (  CHECK ("ID" IS NOT NULL) DISABLE,  CHECK ("COD_MOVIMENTO" IS NOT NULL) DISABLE,  CHECK ("SEQ_TIPO_COMPLEMENTO" IS NOT NULL) DISABLE,  CHECK ("VALOR" IS NOT NULL) DISABLE,  CONSTRAINT PRIMARY_2 PRIMARY KEY (ID) USING INDEX TABLESPACE SGT_CONSULTA PCTFREE 10 INITRANS 2 MAXTRANS 255 STORAGE ( INITIAL 64K NEXT 1M MINEXTENTS 1 MAXEXTENTS UNLIMITED PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 ) DISABLE)
/

-- 
-- Non Foreign Key Constraints for Table TIPO_COMPLEMENTO 
-- 
Prompt Non-Foreign Key Constraints on Table TIPO_COMPLEMENTO;
ALTER TABLE TIPO_COMPLEMENTO ADD (  CHECK ("SEQ_TIPO_COMPLEMENTO" IS NOT NULL) DISABLE,  CHECK ("DESC_TIPO_COMPLEMENTO" IS NOT NULL) DISABLE,  CONSTRAINT PRIMARY_5 PRIMARY KEY (SEQ_TIPO_COMPLEMENTO) USING INDEX TABLESPACE SGT_CONSULTA PCTFREE 10 INITRANS 2 MAXTRANS 255 STORAGE ( INITIAL 64K NEXT 1M MINEXTENTS 1 MAXEXTENTS UNLIMITED PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 ) DISABLE)
/

-- 
-- Non Foreign Key Constraints for Table TIPO_RAMO_JUSTICA 
-- 
Prompt Non-Foreign Key Constraints on Table TIPO_RAMO_JUSTICA;
ALTER TABLE TIPO_RAMO_JUSTICA ADD (  CONSTRAINT PK_TIPO_RAMO_JUSTICA PRIMARY KEY (SEQ_TIPO_RAMO_JUSTICA) USING INDEX PK_TIPO_RAMO_JUSTICA)
/

-- 
-- Non Foreign Key Constraints for Table COMPLEMENTO 
-- 
Prompt Non-Foreign Key Constraints on Table COMPLEMENTO;
ALTER TABLE COMPLEMENTO ADD (  CHECK ("SEQ_COMPLEMENTO" IS NOT NULL) DISABLE,  CHECK ("SEQ_TIPO_COMPLEMENTO" IS NOT NULL) DISABLE,  CHECK ("DSC_COMPLEMENTO" IS NOT NULL) DISABLE,  CONSTRAINT PRIMARY_3 PRIMARY KEY (SEQ_COMPLEMENTO) USING INDEX TABLESPACE SGT_CONSULTA PCTFREE 10 INITRANS 2 MAXTRANS 255 STORAGE ( INITIAL 64K NEXT 1M MINEXTENTS 1 MAXEXTENTS UNLIMITED PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 ) DISABLE)
/

-- 
-- Non Foreign Key Constraints for Table COMPLEMENTO_MOVIMENTO 
-- 
Prompt Non-Foreign Key Constraints on Table COMPLEMENTO_MOVIMENTO;
ALTER TABLE COMPLEMENTO_MOVIMENTO ADD (  CHECK ("SEQ_COMPL_MOV" IS NOT NULL) DISABLE,  CHECK ("SEQ_COMPLEMENTO" IS NOT NULL) DISABLE,  CHECK ("COD_MOVIMENTO" IS NOT NULL) DISABLE,  CHECK ("DATA_INCLUSAO" IS NOT NULL) DISABLE,  CONSTRAINT PRIMARY_6 PRIMARY KEY (SEQ_COMPL_MOV) USING INDEX TABLESPACE SGT_CONSULTA PCTFREE 10 INITRANS 2 MAXTRANS 255 STORAGE ( INITIAL 64K NEXT 1M MINEXTENTS 1 MAXEXTENTS UNLIMITED PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 ) DISABLE)
/

-- 
-- Non Foreign Key Constraints for Table COMPLEMENTO_TABELADO 
-- 
Prompt Non-Foreign Key Constraints on Table COMPLEMENTO_TABELADO;
ALTER TABLE COMPLEMENTO_TABELADO ADD (  CHECK ("SEQ_COMPL_TABELADO" IS NOT NULL) DISABLE,  CHECK ("SEQ_COMPLEMENTO" IS NOT NULL) DISABLE,  CHECK ("DSC_VALOR_TABELADO" IS NOT NULL) DISABLE,  CONSTRAINT PRIMARY_7 PRIMARY KEY (SEQ_COMPL_TABELADO) USING INDEX TABLESPACE SGT_CONSULTA PCTFREE 10 INITRANS 2 MAXTRANS 255 STORAGE ( INITIAL 64K NEXT 1M MINEXTENTS 1 MAXEXTENTS UNLIMITED PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 ) DISABLE)
/

-- 
-- Foreign Key Constraints for Table ITENS 
-- 
Prompt Foreign Key Constraints on Table ITENS;
ALTER TABLE ITENS ADD (  CONSTRAINT FK_ITENS FOREIGN KEY (COD_ITEM_PAI, TIPO_ITEM) REFERENCES ITENS (COD_ITEM,TIPO_ITEM) DISABLE)
/

-- 
-- Foreign Key Constraints for Table MOVIMENTOS 
-- 
Prompt Foreign Key Constraints on Table MOVIMENTOS;
ALTER TABLE MOVIMENTOS ADD (  CONSTRAINT MOVIMENTOS_FK FOREIGN KEY (COD_MOVIMENTO, TIPO_ITEM) REFERENCES ITENS (COD_ITEM,TIPO_ITEM) DISABLE)
/

-- 
-- Foreign Key Constraints for Table PROCEDIMENTO_COMPLEMENTOS 
-- 
Prompt Foreign Key Constraints on Table PROCEDIMENTO_COMPLEMENTOS;
ALTER TABLE PROCEDIMENTO_COMPLEMENTOS ADD (  CONSTRAINT PROCEDIMENTO_COMPLEMENTOS_FK FOREIGN KEY (COD_MOVIMENTO) REFERENCES MOVIMENTOS (COD_MOVIMENTO) DISABLE)
/

-- 
-- Foreign Key Constraints for Table COMPLEMENTO 
-- 
Prompt Foreign Key Constraints on Table COMPLEMENTO;
ALTER TABLE COMPLEMENTO ADD (  CONSTRAINT FK_COMPLEMENTO FOREIGN KEY (SEQ_TIPO_COMPLEMENTO) REFERENCES TIPO_COMPLEMENTO (SEQ_TIPO_COMPLEMENTO) DISABLE)
/

-- 
-- Foreign Key Constraints for Table COMPLEMENTO_MOVIMENTO 
-- 
Prompt Foreign Key Constraints on Table COMPLEMENTO_MOVIMENTO;
ALTER TABLE COMPLEMENTO_MOVIMENTO ADD (  CONSTRAINT FK_COMPLEMENTO_MOVIMENTO FOREIGN KEY (SEQ_COMPLEMENTO) REFERENCES COMPLEMENTO (SEQ_COMPLEMENTO) DISABLE,  CONSTRAINT FK2_COMPLEMENTO_MOVIMENTO FOREIGN KEY (COD_MOVIMENTO) REFERENCES MOVIMENTOS (COD_MOVIMENTO) DISABLE)
/

-- 
-- Foreign Key Constraints for Table COMPLEMENTO_TABELADO 
-- 
Prompt Foreign Key Constraints on Table COMPLEMENTO_TABELADO;
ALTER TABLE COMPLEMENTO_TABELADO ADD (  CONSTRAINT FK_COMPLEMENTO_TABELADO FOREIGN KEY (SEQ_COMPLEMENTO) REFERENCES COMPLEMENTO (SEQ_COMPLEMENTO) DISABLE)
/

Prompt Privs on TABLE ITENS TO OUVIDORIA to OUVIDORIA;
GRANT REFERENCES ON ITENS TO OUVIDORIA
/

Prompt Privs on TABLE ASSUNTOS TO RS_NURER_CONSULTA to RS_NURER_CONSULTA;
GRANT SELECT ON ASSUNTOS TO RS_NURER_CONSULTA
/

Prompt Privs on TABLE ASSUNTOS TO RS_NURER_GERENTE to RS_NURER_GERENTE;
GRANT SELECT ON ASSUNTOS TO RS_NURER_GERENTE
/

Prompt Privs on TABLE ITENS TO RS_OUVIDORIA_GERENTE to RS_OUVIDORIA_GERENTE;
GRANT SELECT ON ITENS TO RS_OUVIDORIA_GERENTE
/
